package com.neusoft.smart.pos.inventory.persistent.domain;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

public class InventoryStoreTotal implements Serializable {
    
    private static final long serialVersionUID = 1L;
    
    private String goodsBarCode;
    
    private String goodsName;
    
    private String goodsCategory;
    
    private Integer goodsCategoryId;
    
    private String supplier;
    
    private String supplierName;
    
    private String goodsUnit;
    
    private Date qualityDate;
    
    private BigDecimal storageNum;
    
    private BigDecimal averageInPrice;
    
    private BigDecimal totalInventoryAmount;
    
    private Date updatedTime;
    
    private String operator;
    
    private Integer shopId;
    
    private Integer isStock;
    
    private Integer supplierId;
    
    private Integer goodsId;
    
    private Integer scale;
    
    public String getGoodsBarCode() {
        return goodsBarCode;
    }
    
    public void setGoodsBarCode(String goodsBarCode) {
        this.goodsBarCode = goodsBarCode == null ? null : goodsBarCode.trim();
    }
    
    public String getGoodsName() {
        return goodsName;
    }
    
    public void setGoodsName(String goodsName) {
        this.goodsName = goodsName == null ? null : goodsName.trim();
    }
    
    public String getGoodsCategory() {
        return goodsCategory;
    }
    
    public void setGoodsCategory(String goodsCategory) {
        this.goodsCategory = goodsCategory == null ? null : goodsCategory.trim();
    }
    
    public String getSupplier() {
        return supplier;
    }
    
    public void setSupplier(String supplier) {
        this.supplier = supplier == null ? null : supplier.trim();
    }
    
    public String getSupplierName() {
        return supplierName;
    }
    
    public void setSupplierName(String supplierName) {
        this.supplierName = supplierName;
    }
    
    public String getGoodsUnit() {
        return goodsUnit;
    }
    
    public void setGoodsUnit(String goodsUnit) {
        this.goodsUnit = goodsUnit == null ? null : goodsUnit.trim();
    }
    
    public Date getQualityDate() {
        return qualityDate;
    }
    
    public void setQualityDate(Date qualityDate) {
        this.qualityDate = qualityDate;
    }
    
    public BigDecimal getStorageNum() {
        return storageNum;
    }
    
    public void setStorageNum(BigDecimal storageNum) {
        this.storageNum = storageNum;
    }
    
    public BigDecimal getAverageInPrice() {
        return averageInPrice;
    }
    
    public void setAverageInPrice(BigDecimal averageInPrice) {
        this.averageInPrice = averageInPrice;
    }
    
    public BigDecimal getTotalInventoryAmount() {
        return totalInventoryAmount;
    }
    
    public void setTotalInventoryAmount(BigDecimal totalInventoryAmount) {
        this.totalInventoryAmount = totalInventoryAmount;
    }
    
    public Date getUpdatedTime() {
        return updatedTime;
    }
    
    public void setUpdatedTime(Date updatedTime) {
        this.updatedTime = updatedTime;
    }
    
    public String getOperator() {
        return operator;
    }
    
    public void setOperator(String operator) {
        this.operator = operator == null ? null : operator.trim();
    }
    
    public Integer getShopId() {
        return shopId;
    }
    
    public void setShopId(Integer shopId) {
        this.shopId = shopId;
    }
    
    public Integer getSupplierId() {
        return supplierId;
    }
    
    public void setSupplierId(Integer supplierId) {
        this.supplierId = supplierId;
    }
    
    public Integer getGoodsId() {
        return goodsId;
    }
    
    public void setGoodsId(Integer goodsId) {
        this.goodsId = goodsId;
    }
    
    public Integer getIsStock() {
        return isStock;
    }
    
    public void setIsStock(Integer isStock) {
        this.isStock = isStock;
    }
    
    public Integer getGoodsCategoryId() {
        return goodsCategoryId;
    }
    
    public void setGoodsCategoryId(Integer goodsCategoryId) {
        this.goodsCategoryId = goodsCategoryId;
    }
    
    public Integer getScale() {
        return scale;
    }
    
    public void setScale(Integer scale) {
        this.scale = scale;
    }
}